<template>
  <div style="background-color:lightgrey; width:100%">
    <v-data-table
      :headers="headers"
      :items="getSchedule"
      class="elevation-1 ma-5"
      height="75vh"
      style="background-color:rgba(180,180,180,0.5)"
    >
      <template v-slot:top>
        <v-toolbar flat style="background-color:grey">
          <v-toolbar-title style="font-weight:500"
            >Competitions Resources</v-toolbar-title
          >
          <v-divider class="mx-4" inset vertical></v-divider>
          <v-spacer></v-spacer>
        </v-toolbar>
      </template>
    </v-data-table>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";

export default {
  data: () => ({
    headers: [
      {
        text: "Current Match",
        align: "start",
        sortable: false,
        value: "id",
      },
      { text: "End", value: "endDate" },
      { text: "Start", value: "startDate" },
        { text: "Match Day", value: "currentMatchday" },

    ],
  }),
  computed: {
    ...mapGetters(["getSchedule"]),
  },
  created() {
    this.runScheduleAction();
  },

  methods: {
    ...mapActions(["scheduleAction", "bookAction"]),

    runScheduleAction() {
      this.scheduleAction();
    },
  },
};
</script>
<style></style>
